> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List OAuth configurations

> Get list of all OAuth configurations



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json get /hub/integrations/oauth-config
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/integrations/oauth-config:
    get:
      tags:
        - Oauth
      summary: List OAuth configurations
      description: Get list of all OAuth configurations
      operationId: getIntegrationsOauthConfigs
      responses:
        '200':
          description: List of OAuth configurations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthConfigList'
              example:
                results:
                  - integration_id: slack
                    name: Slack API
                    scopes: channels:read,chat:write,users:read
                    subject: ms.integration.oauth.config.slack
                  - integration_id: xero
                    name: Xero API's
                    scopes: >-
                      email,openid,profile,assets,assets.read,files,files.read,projects,projects.read
                    subject: ms.integration.oauth.config.xero
                  - integration_id: google
                    name: Google Workspace
                    scopes: >-
                      https://www.googleapis.com/auth/gmail.readonly,https://www.googleapis.com/auth/calendar
                    subject: ms.integration.oauth.config.google
                results_total: 3
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    OauthConfigList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/OauthConfigBasicData'
        results_total:
          type: integer
          example: 2
      example:
        results:
          - integration_id: slack
            name: Slack API
            scopes: channels:read
            subject: ms.integration.oauth.config.slack
          - integration_id: xero
            name: Xero API's
            scopes: >-
              email,openid,profile,assets,assets.read,files,files.read,projects,projects.read
            subject: ms.integration.oauth.config.xero
        results_total: 2
    Error:
      type: object
      properties:
        error:
          type: string
    OauthConfigBasicData:
      type: object
      properties:
        integration_id:
          type: string
          example: slack
        name:
          type: string
          example: Slack API
        scopes:
          type: string
          example: channels:read
        subject:
          type: string
          example: ms.integration.oauth.config.slack
      example:
        integration_id: slack
        name: Slack API
        scopes: channels:read
        subject: ms.integration.oauth.config.slack
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````